Frees resources associated with the LOB descriptor

- « OCILob::flush

- OCILob::getBuffering »

- PHP Manual
- OCILob
- Frees resources associated with the LOB descriptor

# OCILob::free

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

OCILob::free — Frees resources associated with the LOB descriptor

### Description

public OCILob::free(): bool

Frees resources associated with the descriptor, previously allocated with oci_new_descriptor().

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0, PECL OCI8 3.0.0 | The OCI-Lob class was renamed to OCILob to align with PHP naming standards.